#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.cari_paket'}
#{/set}

<div class="container">
    #{cariTabMenu /}
    <div class="content tab-content">
        <form >
        <table class="table table-sm table-bordered">
            <tr>
                <th class="bgwarning" width="10%">Kategori</th>
                <td width="40%"><select name="kategoriId" class="form-control  selectpicker" data-width="auto" title="Pilih Kategori" onchange="javascript:this.form.submit();" >
                    #{list items:kategoriList, as:'item' }
                    <option value="${item.id}" #{if item.id == kategoriId} selected#{/if}>${item.nama}</option>
                    #{/list}
                    <option value="" #{if kategoriId == null} selected #{/if}>&{'lelang.semua'}</option>
                </select></td>
                <th class="bgwarning" width="10%">Tahun Anggaran</th>
                <td width="40%"><select name="tahun"  class="form-control  selectpicker" data-width="auto" title="Pilih Tahun" onchange="javascript:this.form.submit();" >
                    #{list items:tahunList, as:'item' }
                    <option value="${item}" #{if item == tahun} selected #{/if}>${item}</option>
                    #{/list}
                    <option value="" #{if tahun == null} selected #{/if}>&{'lelang.semua'}</option>
                </select></td>
            </tr>
            <tr>
                <th class="bg-warning" width="10%">&{'lelang_lt.nama_instansi'}</th>
                <td><select name="instansiId"  class="form-control input-sm selectpicker" data-width="auto" data-live-search="true" title="Pilih Instansi" onchange="javascript:this.form.submit();" >
                    #{list items:instansiList, as:'item' }
                    <option value="${item.id}" #{if item.id == instansiId} selected#{/if}>${item.nama}</option>
                    #{/list}
                    <option value="" #{if instansiId == null} selected #{/if}>&{'lelang.semua'}</option>
                </select></td>
                <th class="bg-warning" width="10%">&{'lelang.nama_penyedia'}</th>
                <td><input placeholder="&{'lelang.nama_penyedia'}" type="text" class="form-control" name="rekanan" id="rekanan" #{if rekanan} value="${rekanan}" #{/if}></td>
            </tr>
        </table>
        </form>
        <div class="tab-pane active">
            <table id="tbllelang" class="table table-sm">
                <thead>
                <tr>
                    <th width="10%">&{'lelang.kode'}</th>
                    <th width="50%">&{'lelang.nama_paket'}</th>
                    <th width="20%">&{'lelang.instansi'}</th>
                    <th width="15%">&{'lelang.tahap'}</th>
                    <th width="5%">&{'lelang.hps'}</th>
                </tr>
                </thead>
            </table>
            <div class="bs-callout bs-callout-warning">
                &{'lelang.link'}
            </div>
        </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<style type="text/css">
    .faq-cat-tabs li a {
        background-color: #ffffff;
        border: 1px solid #dddddd;
    }
</style>
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var pengumuman = #{jsRoute @lelang.LelangCtr.pengumumanLelang(':id') /};
    var viewTahap = #{jsRoute @lelang.JadwalCtr.tahap(':id') /};
    var table = $("#tbllelang").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: {
            url : "@{DataTableCtr.lelang2(kategoriId, instansiId, tahun, rekanan)}",
            data: function (d) {
                d.authenticityToken = '${session.getAuthenticityToken()}';
            }
        },
        columns: [{
            render: function (data, type, row) {
                var id = row[0]
                var paket = row[1]
                var version = getLabelSpseVersion(row[9]);
                var flag = version.flag;
                var highlight = version.highlight;
                var evaluasiUlang = '';
                var penawaranUlang = '';
               if (Number(row[12]) == 1) {
                    penawaranUlang = '<span class="label label-info">&{'lelang.pemasukan_ulang'}</span>';
               }
               if (Number(row[11] == 1)) {
                   evaluasiUlang = '<span class="label label-info">&{'lelang.evaluasi_ulang'}</span>';
               }
                row[1] = '<p><a href="' + pengumuman.url({id: id}) + '" target="_blank">' + paket +
                        '</a> <span class="' + highlight + '">' + flag + '</span>' +
                        ' ' + penawaranUlang + ' ' + evaluasiUlang;

                if (row[13] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="'+ lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }

                row[1] += '</p><p>' + row[8] + ' - ' + row[6] + ' - ' + row[5] + ' ' + row[7] + '</p>'
                        + '<p>&{'lelang.nilai_kontrak'} : ' + row[10]+ '</p>';
                row[3] = '<a target="_blank" href="' + viewTahap.url({id: id}) + '" >' + row[3] + '</a>'

                return row[0];
            }
        }, null, null, {orderable: false, searchable: false}, null
        ]
    })
    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

     $('#rekanan').keypress(function (e) {
	    if (e.which == 13) {
		   this.form.submit();
	    }
    });
</script>
#{/set}